Bug 733188 - [abrt] pychess-0.10-1.fc15: ICLounge.py:97:present:TypeError: 'NoneType' object is not subscriptable
Summary: [abrt] pychess-0.10-1.fc15: ICLounge.py:97:present:TypeError: 'NoneType' obje...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:16456e86e669ee262de81df259e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 04:51 UTC by Brallan Jesús Aguilar Rivera
Modified: 2012-08-06 20:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:03:15 UTC


Attachments (Terms of Use)

Description Brallan Jesús Aguilar Rivera 2011-08-25 04:51:37 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/pychess
comment:        It was during the begining of the connection with FICS' server
component:      pychess
executable:     /usr/bin/pychess
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        pychess-0.10-1.fc15
reason:         ICLounge.py:97:present:TypeError: 'NoneType' object is not subscriptable
time:           Wed Aug 24 22:50:10 2011
uid:            500
username:       brallan

backtrace:
:ICLounge.py:97:present:TypeError: 'NoneType' object is not subscriptable
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/pychess/widgets/TaskerManager.py", line 248, in connectClicked
:    ICLogon.run()
:  File "/usr/lib/python2.7/site-packages/pychess/ic/ICLogon.py", line 26, in run
:    dialog.lounge.present()
:  File "/usr/lib/python2.7/site-packages/pychess/ic/ICLounge.py", line 97, in present
:    self.widgets["fics_lounge"].present()
:TypeError: 'NoneType' object is not subscriptable
:
:Local variables in innermost frame:
:self: <ICLounge object at 0xaaf6734 (pychess+ic+ICLounge+ICLounge at 0xaaeba40)>

Comment 1 Bruno Wolff III 2011-09-03 18:46:35 UTC
I have a new test update with a number of post 0.10 upstream fixes. Please try it out and let me know if it fixes this issue and/or causes other issues. Thanks.
https://admin.fedoraproject.org/updates/pychess-0.10.rev2004-1.fc15

Comment 2 Fedora End Of Life 2012-08-06 20:03:15 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2012-08-06 20:03:15 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.